#
# spec file for package python-termcolor
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-termcolor
Version:        2.5.0
Release:        1.5
Summary:        ANSII Color formatting for output in terminal
License:        MIT
URL:            https://pypi.python.org/pypi/termcolor
Source:         https://files.pythonhosted.org/packages/source/t/termcolor/termcolor-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.9}
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Available text colors: grey, red, green, yellow, blue, magenta, cyan, white.
Available text highlights: on_grey, on_red, on_green, on_yellow, on_blue, on_magenta, on_cyan, on_white.
Available attributes: bold, dark, underline, blink, reverse, concealed.

%prep
%setup -q -n termcolor-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license COPYING.txt
%doc CHANGES.md README.md
%{python_sitelib}/termcolor
%{python_sitelib}/termcolor-%{version}.dist-info

%changelog
* Mon Oct  7 2024 Dirk Müller <dmueller@suse.com>
- update to 2.5.0:
  * drop python 3.8
  * switch to ruff
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 2.4.0:
  * document terminal colour detection overrides (#60) @hugovk
  * Add support for Python 3.13 (#55) @hugovk
  * Improve isatty check (#56) @XiaoliChan
  * Improve typing (#44) @marcin-serwin
  * Drop support for EOL Python 3.7 (#47) @hugovk
* Mon Nov 27 2023 Dirk Müller <dmueller@suse.com>
- update to 2.3.0:
  * Add no_color and force_color parameters to override env vars
  * Add support for Python 3.12
  * Add light shades, dark grey and black
* Sat Jun 10 2023 ecsos <ecsos@opensue.org>
- Add %%{?sle15_python_module_pythons}
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.1:
  * Add __main__ to re-enable demo via python -m termcolor
* Sat Dec  3 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2.1.0
  * Support FORCE_COLOR and detect tty (#25) @hugovk
  * Deprecate __ALL__, use __all__ instead (#23) @hugovk
* Mon Oct  3 2022 Dirk Müller <dmueller@suse.com>
- update to 2.0.1:
  * Add support for Python 3.11 and PyPy
  * Add support for Python 3.10
  * Support NO_COLOR
  * Add type annotations to the project and run mypy on CI
  * Add tests
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Jul  5 2017 aloisio@gmx.com
- Converted to single-spec
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Nov 19 2012 saschpe@suse.de
- Macro cleanup
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 1.1.0:
  * Added cprint function.
* Thu Nov 26 2009 poeml@cmdline.net
- add missing tarball
- add changes file
* Tue Nov 24 2009 cfarrell1980@gmail.com
- First build
